package com.example.zxx_im.shoot;

import android.Manifest;
import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

import com.example.zxx_im.R;

import java.util.logging.StreamHandler;

import io.flutter.app.FlutterActivity;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

import io.flutter.plugin.common.EventChannel;


public class MainActivity extends FlutterActivity {

    public static final String STREAM = "com.yourcompany.eventchannelsample/stream";
    public static final String TAG = "MainActivity";

    EventChannel.EventSink eventSink;

    int REQUEST_VIDEO = 99;

    public int TYPE_VIDEO = 0;  //视频模式
    public int TYPE_IMAGE = 1;  //拍照模式

    String path;
    String imgPath;
    int type;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.activity_main);

        Log.i(TAG,"跳转到Activity");

//        PermissionsUtil.rxRequestPermissions(MainActivity.this, "相机、存储、录音", new PermissionsUtil.PermissionsCallBack() {
//            @Override
//            public void permissionCallBack() {
//
//            }
//        }, Manifest.permission.CAMERA, Manifest.permission.WRITE_EXTERNAL_STORAGE, Manifest.permission.RECORD_AUDIO);

        startActivityForResult(new Intent(MainActivity.this, VideoRecordActivity.class), REQUEST_VIDEO);


//        new EventChannel(getFlutterView(), STREAM).setStreamHandler(
//
//                new EventChannel.StreamHandler() {
//
//                    @Override
//                    public void onListen(Object args, final EventChannel.EventSink events) {
//                        startActivityForResult(new Intent(MainActivity.this, VideoRecordActivity.class), REQUEST_VIDEO);
//                        eventSink = events;
//                        eventSink.success("视频路径：https://www.hao123.com");// 发送事件
//                        Log.w(TAG, "adding listener");
//                    }
//
//                    @Override
//                    public void onCancel(Object args) {
//                        Log.w(TAG, "cancelling listener");
//                    }
//                }
//        );

    }


    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);

        if (resultCode == Activity.RESULT_OK) {
            if (requestCode == REQUEST_VIDEO) {

                if (data != null) {
                     path = data.getStringExtra("path");
                     imgPath = data.getStringExtra("imagePath");
                     type = data.getIntExtra("type", -1);
//                    eventSink.success("视频路径："+ path +"\r缩略图地址：" + imgPath);// 发送事件
                    if (type == TYPE_VIDEO) {
//                        mTvResult.setText("视频地址：" + path + "\n\r缩略图地址：" + imgPath);
                    } else if (type == TYPE_IMAGE) {
//                        mTvResult.setText("图片地址："+ imgPath);
                    }
                }

            }
        }
    }
}
